#!/usr/bin/env python
# coding=utf-8

"""
deploy to prod
"""

from fabric.api import env, sudo, run, local, hosts, put, cd, lcd

env.use_ssh_config = True


SERVER = 'de01'
FILES = "calc.html fifo.js fsm.js sw.js vendor favicon.ico README.org"

def deploy():
    with lcd("~/websites/rpn-calculator/"):
        local("rsync -irt %s"
              " %s:/var/www/emacsos.com/calc/" % (FILES, SERVER))


@hosts(SERVER)
def init():
    run("mkdir -p /var/www/emacsos.com/calc/")


def tar():
    """create an archive that can be run locally.

    obviously service worker won't work there.

    """
    local("tar czf rpn-calculator.tar.gz %s" % (FILES,))


def zip():
    """create an archive that can be run locally.

    obviously service worker won't work there.

    """
    local("zip -q -r rpn-calculator.zip %s" % (FILES,))
